summaryrefslogtreecommitdiff
path: root/dev-python/jupyter_client
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-06-08 12:40:02 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-06-08 12:40:02 +0000
commit4fefe95fa32b71d711353ab37cbb7e2f8a002d71 (patch)
tree9376801d988a960ee2e34c65f7137680f4b41059 /dev-python/jupyter_client
parent3d9997e1efa213bf85e56beb2a0ccd53bfff391b (diff)
downloadbaldeagleos-repo-4fefe95fa32b71d711353ab37cbb7e2f8a002d71.tar.gz
baldeagleos-repo-4fefe95fa32b71d711353ab37cbb7e2f8a002d71.tar.xz
baldeagleos-repo-4fefe95fa32b71d711353ab37cbb7e2f8a002d71.zip
Adding metadata
Diffstat (limited to 'dev-python/jupyter_client')
-rw-r--r--dev-python/jupyter_client/Manifest1
-rw-r--r--dev-python/jupyter_client/jupyter_client-7.3.3.ebuild52
2 files changed, 53 insertions, 0 deletions
diff --git a/dev-python/jupyter_client/Manifest b/dev-python/jupyter_client/Manifest
index 1f36dddedf8b..50c98e15393f 100644
--- a/dev-python/jupyter_client/Manifest
+++ b/dev-python/jupyter_client/Manifest
@@ -1,2 +1,3 @@
DIST jupyter_client-7.3.1.tar.gz 328697 BLAKE2B 9bdca39d974c21e1674f58a7aaa51a6b96e4dc307f918aacc403146827df5ad7a867243dd2df95e717ab7ebd62367817e4f43cae562f47147b4271d72240600e SHA512 86a98288f1be5321b8495d78770501ca45fe3139a482ec41606253eef69eaf4d3f284d1c373d9df64efe28428f32cd1a3b19842a7331b3ac200d780e7a786407
DIST jupyter_client-7.3.2.tar.gz 328943 BLAKE2B 9093278ec2aeff9810bb0af86607185776d940e51ade5194c28800b1e08a1b40d4a020f947b4fac092e26e6a6b1b1eabe4b2c025d955f4ed1ddf3cd190dda96a SHA512 ec0ceb518eae63356058032b2e43979c78a691eefe594ef98767daff27ea88d4363bdc8f7c4e66c549fd5e7a5fdb0b538d58a45f7d73145093f7bbe26df03c71
+DIST jupyter_client-7.3.3.tar.gz 329130 BLAKE2B 7a60e8a0f4142198efc35f09378e3d35e3985b1531c3a759b7f3b4373c8df4dc76d56a28298f9f2972a4ba323e6d7a1b0c49d2dacdc490019da63692324d1ee1 SHA512 8a89f7e95f8f7f87ebc5ed362508cf5368c6e611c0291a56f72acafeb6ec85ad50e943133d178486605ad325dfc4e3b8231888b8dff0b0cc14b0e707b126f1d3
diff --git a/dev-python/jupyter_client/jupyter_client-7.3.3.ebuild b/dev-python/jupyter_client/jupyter_client-7.3.3.ebuild
new file mode 100644
index 000000000000..489687627e1c
--- /dev/null
+++ b/dev-python/jupyter_client/jupyter_client-7.3.3.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Jupyter protocol implementation and client libraries"
+HOMEPAGE="
+ https://jupyter.org/
+ https://github.com/jupyter/jupyter_client/
+ https://pypi.org/project/jupyter-client/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/entrypoints[${PYTHON_USEDEP}]
+ >=dev-python/jupyter_core-4.9.2[${PYTHON_USEDEP}]
+ >=dev-python/nest_asyncio-1.5.4[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.8.2[${PYTHON_USEDEP}]
+ dev-python/pyzmq[${PYTHON_USEDEP}]
+ >=www-servers/tornado-6.0[${PYTHON_USEDEP}]
+ dev-python/traitlets[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/ipykernel-6.5[${PYTHON_USEDEP}]
+ dev-python/ipython[${PYTHON_USEDEP}]
+ >=dev-python/pytest-asyncio-0.18[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-7.0.6-test-timeout.patch
+)
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # relax pyzmq dep
+ sed -i -e '/pyzmq/s:>=[0-9.]*::' pyproject.toml || die
+ distutils-r1_src_prepare
+}